diff --git a/resources/assets/js/components/Example.vue b/resources/assets/js/components/Example.vue
index 0439f43..8a1569f 100644
--- a/resources/assets/js/components/Example.vue
+++ b/resources/assets/js/components/Example.vue
@@ -1,12 +1,12 @@
 <template>
     <div class="container">
-        <div class="row">
-            <div class="col-md-8 col-md-offset-2">
-                <div class="panel panel-default">
-                    <div class="panel-heading">Example Component</div>
+        <div class="row justify-content-center">
+            <div class="col-md-8">
+                <div class="card card-default">
+                    <div class="card-header">Example Component</div>
 
-                    <div class="panel-body">
-                        I'm an example component!
+                    <div class="card-body">
+                        I'm an example component.
                     </div>
                 </div>
             </div>
diff --git a/tests/Feature/Http/Controllers/Api/StatsControllerTest.php b/tests/Feature/Http/Controllers/Api/StatsControllerTest.php
index 6301f4b..dcbb8d6 100644
--- a/tests/Feature/Http/Controllers/Api/StatsControllerTest.php
+++ b/tests/Feature/Http/Controllers/Api/StatsControllerTest.php
@@ -30,35 +30,27 @@ class StatsControllerTest extends ApiTestCase
     {
         $adminRole = Role::whereName('Admin')->first();
 
-        $user = factory(User::class)->create([
-            'role_id' => $adminRole->id,
-        ]);
+        $user = factory(User::class)->create(['role_id' => $adminRole->id]);
 
         $this->be($user, 'api');
 
         Carbon::setTestNow(Carbon::now()->startOfYear());
 
-        $activeUsers = factory(User::class)->times(4)->create([
-            'status' => UserStatus::ACTIVE
-        ]);
+        factory(User::class)->times(4)->create(['status' => UserStatus::ACTIVE]);
 
         Carbon::setTestNow(null);
 
-        $bannedUsers = factory(User::class)->times(2)->create([
-            'status' => UserStatus::BANNED
-        ]);
+        factory(User::class)->times(2)->create(['status' => UserStatus::BANNED]);
 
-        $unconfirmedUsers = factory(User::class)->times(7)->create([
-            'status' => UserStatus::UNCONFIRMED
-        ]);
+        factory(User::class)->times(7)->create(['status' => UserStatus::UNCONFIRMED]);
 
         $users = app(UserRepository::class);
 
         $this->getJson("/api/stats");
 
         $usersPerMonth = $users->countOfNewUsersPerMonth(
-            Carbon::now()->startOfYear(),
-            Carbon::now()
+            now()->subYear()->startOfMonth(),
+            now()->endOfMonth()
         );
 
         $latestRegistrations = $users->latest(7);
diff --git a/tests/Feature/Repositories/User/EloquentUserTest.php b/tests/Feature/Repositories/User/EloquentUserTest.php
index b21d876..78a6605 100644
--- a/tests/Feature/Repositories/User/EloquentUserTest.php
+++ b/tests/Feature/Repositories/User/EloquentUserTest.php
@@ -233,11 +233,17 @@ class EloquentUserTest extends FunctionalTestCase
 
     public function test_latest()
     {
-        Carbon::setTestNow(Carbon::now()->subDay());
-        $user1 = factory(User::class)->create();
+        Carbon::setTestNow(now()->subDay());
+        $user4 = factory(User::class)->create();
 
-        Carbon::setTestNow(null);
-        $users = factory(User::class)->times(3)->create();
+        Carbon::setTestNow(now()->subMinutes(3));
+        $user3 = factory(User::class)->create();
+
+        Carbon::setTestNow(now()->subMinutes(2));
+        $user2 = factory(User::class)->create();
+
+        Carbon::setTestNow(now()->subMinutes(1));
+        $user1 = factory(User::class)->create();
 
         $latestTwo = $this->repo->latest(2);
         $latestFour = $this->repo->latest(4);
@@ -245,48 +251,52 @@ class EloquentUserTest extends FunctionalTestCase
         $this->assertEquals(2, count($latestTwo));
         $this->assertEquals(4, count($latestFour));
 
-        $this->assertArraySubset($users[0]->toArray(), $latestTwo[0]->toArray());
-        $this->assertArraySubset($users[1]->toArray(), $latestTwo[1]->toArray());
+        $this->assertArraySubset($user4->toArray(), $latestTwo[0]->toArray());
+        $this->assertArraySubset($user3->toArray(), $latestTwo[1]->toArray());
         $this->assertArraySubset($user1->toArray(), $latestFour[3]->toArray());
     }
 
     public function test_countOfNewUsersPerMonth()
     {
-        Carbon::setTestNow(Carbon::now()->startOfYear());
+        $from = now()->startOfYear();
+
+        Carbon::setTestNow($from);
         factory(User::class)->times(2)->create();
 
-        Carbon::setTestNow(Carbon::now()->startOfYear()->addMonths(2));
+        Carbon::setTestNow($from->copy()->addMonths(2));
         factory(User::class)->times(4)->create();
 
-        Carbon::setTestNow(Carbon::now()->startOfYear()->addMonths(6));
+        Carbon::setTestNow($from->copy()->addMonths(6));
         factory(User::class)->times(2)->create();
 
-        Carbon::setTestNow(Carbon::now()->startOfYear()->addMonths(7));
+        Carbon::setTestNow($from->copy()->addMonths(7));
         factory(User::class)->times(1)->create();
 
-        Carbon::setTestNow(Carbon::now()->startOfYear()->addMonths(10));
+        Carbon::setTestNow($from->copy()->addMonths(10));
         factory(User::class)->times(4)->create();
 
         Carbon::setTestNow(null);
 
+        $currentYear = now()->year;
+
         $expected = [
-            'January 2017' => 2,
-            'February 2017' => 0,
-            'March 2017' => 4,
-            'April 2017' => 0,
-            'May 2017' => 0,
-            'June 2017' => 0,
-            'July 2017' => 2,
-            'August 2017' => 1,
-            'September 2017' => 0,
-            'October 2017' => 0,
-            'November 2017' => 4,
-            'December 2017' => 0
+            "January {$currentYear}" => 2,
+            "February {$currentYear}" => 0,
+            "March {$currentYear}" => 4,
+            "April {$currentYear}" => 0,
+            "May {$currentYear}" => 0,
+            "June {$currentYear}" => 0,
+            "July {$currentYear}" => 2,
+            "August {$currentYear}" => 1,
+            "September {$currentYear}" => 0,
+            "October {$currentYear}" => 0,
+            "November {$currentYear}" => 4,
+            "December {$currentYear}" => 0
         ];
 
         $usersPerMonth = $this->repo->countOfNewUsersPerMonth(
-            Carbon::now()->startOfYear(),
-            Carbon::now()->endOfYear()
+            now()->startOfYear(),
+            now()->endOfYear()
         );
 
         $this->assertEquals($expected, $usersPerMonth);
diff --git a/tests/TestCase.php b/tests/TestCase.php
index 6e13a05..d488c27 100644
--- a/tests/TestCase.php
+++ b/tests/TestCase.php
@@ -26,6 +26,8 @@ class TestCase extends \Laravel\BrowserKitTesting\TestCase
 
         $app->make(\Illuminate\Contracts\Console\Kernel::class)->bootstrap();
 
+        \Hash::setRounds(5);
+
         return $app;
     }
 
